#ifndef __ADVCHCTRLSETUP_H
#define __ADVCHCTRLSETUP_H

#include <vdr/plugin.h>

enum eThemes
{
  eThemeClassic,
//  eThemeSTTNG,
//  eThemeElchi,
//  eThemeDeepBlue,
//  eThemeMoronimo,
  eThemeMaxNumber
};

struct cAdvChCtrlTheme
{
  int clrBackground;
  int clrTitleBackground;
  int clrMenuBackground;
  int clrTitleText;
  int clrActiveText;
  int clrInactiveText;
  int clrRed;
  int clrYellow;
  int clrGreen;
};

class cAdvChCtrlSetup : public cMenuSetupPage 
{
private:
  int HideMainMenu;
  int Theme;
  int DefaultVolume;
  const char *themes[eThemeMaxNumber];
  void Setup();
protected:
  virtual void Store(void);
public:
  cAdvChCtrlSetup(void);
};

extern const cAdvChCtrlTheme advchctrlTheme[eThemeMaxNumber];
#endif //__ADVCHCTRLSETUP_H

